POV-Ray : Newsgroups : povray.macintosh : Povray and libpng on OS X 10.7.5 : Povray and libpng on OS X 10.7.5 Server Time
18 Sep 2021 16:50:31 EDT (-0400)
  Povray and libpng on OS X 10.7.5  
From: pela3247
Date: 21 Nov 2012 15:55:01
Message: <web.50ad3f3af7b80dcf5489d1d20@news.povray.org>
Hello

I have installed povray on my Macbook Pro using macports:

$port installed |grep povray
povray @3.7.0.RC6_0 (active)

but when I want to render scenes, I get an error message:

Cannot allocate PNG data structures

which indicates that something is wrong with either my version of libpng or
something. The installation of povray changes the libpng version from 1.4.5_0 to
1.5.13_0. I have tried to Google this, but nothing really useful came up.

Any ideas?

Thanks
/Per


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.